﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="CircularGauge" AutoEventWireup="true" CodeBehind="CircularGaugeFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication26.CircularGaugeFeatures" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <input type="text" />

    <ej:CircularGauge Load="loadGaugeTheme" ClientIDMode="Static" runat="server" ID="CircularGauge" BackgroundColor="transparent" DrawCustomLabel= "drawCustomLabels" 
        ReadOnly="true" EnableAnimation="false">
        <Scales>
            <ej:CircularScales ShowRanges="true" SweepAngle="296" StartAngle="122" Radius="130"  ShowScaleBar="true" Size="1" Maximum="120" MajorIntervalValue="20" MinorIntervalValue="10">
                <Border Width="0.5"></Border>
                <PointerCap Radius="12"></PointerCap>
                <PointerCollection>
                   <ej:Pointers ShowBackNeedle="true" Length="80" BackgroundColor= "black">
                       <PointerValueText Angle="0" AutoAngle="false" Color="red" Distance="60" Opacity="1" ShowValue="true">
                           <Font  Size= "25px"></Font> 
                       </PointerValueText>
                   </ej:Pointers>
                </PointerCollection>
                <TickCollection>
                    <ej:CircularTicks Type="Major" Height="16" Width="1" DistanceFromScale="2" Color="#8c8c8c" />
                    <ej:CircularTicks Type="Minor" Height="8" Width="1" DistanceFromScale="2" Color="#8c8c8c" />
                </TickCollection>
                
                <RangeCollection>
                    <ej:CircularRanges DistanceFromScale="-30" StartValue="0" EndValue="70">
                    </ej:CircularRanges>
                    <ej:CircularRanges BackgroundColor="#fc0606" DistanceFromScale="-30" StartValue="70" EndValue="110">
                        <Border Color="#fc0606"></Border>
                    </ej:CircularRanges>
                    <ej:CircularRanges BackgroundColor="#f5b43f" DistanceFromScale="-30" StartValue="110" EndValue="120">
                        <Border Color="#f5b43f"></Border>
                    </ej:CircularRanges>
                </RangeCollection>
                <CustomLabelCollection>
                   <ej:CircularCustomLabel Value= "">
                       <Font  Size= "25px" FontFamily= "Arial" FontStyle= "Bold"></Font>
                       <Position X= "180" Y= "220" />
                   </ej:CircularCustomLabel>
               </CustomLabelCollection>
            </ej:CircularScales>
        </Scales>
    </ej:CircularGauge>

    <script>
        function drawCustomLabels(args) {
            args.style.textValue = args.model.scales[0].pointers[0].value.toFixed(2).toString();
        }

    </script>
</asp:Content>
